#ifndef C5_Screen_h
#define C5_Screen_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"
#include "C5_Button.h"

class C5Screen : public C5Visual
{
	public:
                ITDB02 *pLCD;
                C5Color Background;
                C5Color TextColor;
                
                C5Color BlueButton;
                C5Color BluePressedButton;
                C5Color GreenButton;
                C5Color White;
                C5Color Black;
                
                // Events
                void (*OnClosedCallback)();
                
		C5Screen();
                virtual void Reset();
                virtual void Render();
                virtual bool Update();
                void OnTouch(int x, int y);
                boolean ButtonTouch(C5Button *pButton, int x, int y);
                
                void SetButton(C5Button *pButton, uint8_t *pFont, int x, int y, int width, int height, char *text, C5Color background, C5Color color, C5Color pressedBackground, C5Color pressedColor);
                void Close();
	protected:
                int _ticksTillClose;
};

#endif
