#ifndef C5_ScreenDateTime_h
#define C5_ScreenDateTime_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

#include "C5_Visual.h"
#include "C5_Screen.h"
#include "C5_Button.h"
#include <Wire.h>
#include "RTClib.h"

class C5ScreenDateTime : public C5Screen
{
	public:
                uint8_t *pBigFont;
                uint8_t *pSmallFont;
                uint8_t *pSevenSegNumFont;
                RTC_DS1307 *pRTC;
                
                C5Button DecYear;
                C5Button IncYear;
                C5Button DecMonth;
                C5Button IncMonth;
                C5Button DecDay;
                C5Button IncDay;
                
                C5Button DecHour;
                C5Button IncHour;
                C5Button DecMinute;
                C5Button IncMinute;
                
                C5Button ButtonClose;
                
                int thisDay;
                int thisMonth;
                int thisYear;
                int thisSec;
                int thisMin;
                int thisHour;

		C5ScreenDateTime(ITDB02 *plcd, uint8_t *bigFont, uint8_t *smallFont, uint8_t *sevenSegNumFont);
                void Reset();
                void Render();
                bool Update();
                void OnTouch(int x, int y);
                void DateChanged(C5Button *pButton, int newYear, int newMonth, int newDay, int newHour, int newMinute, int newSecond);
                void Init(RTC_DS1307 *pRTC);
                void DrawDate();
                void DrawTime();
	protected:
};

#endif
