#ifndef C5_Visual_h
#define C5_Visual_h

#include <ITDB02_Touch.h>
#include <ITDB02_Graph16.h>

struct C5Position2
{
  int X;
  int Y;
  
  C5Position2(int x = 0, int y = 0) :
    X(x), Y(y)
  {
  }
};

struct C5Size2
{
  int Width;
  int Height;
  
  C5Size2(int width = 0, int height = 0) :
    Width(width), Height(height)
  {
  }
};

struct C5Color
{
  byte R;
  byte G;
  byte B;
  
  C5Color(byte r = 0, byte g = 0, byte b = 0) :
    R(r), G(g), B(b)
  {
  }
};

class C5Visual
{
	public:
		C5Position2 Position;
		C5Size2 Size;
		bool IsVisible;
		bool IsEnabled;

		C5Visual();

                virtual void Reset();
		virtual void Render(ITDB02 *pLCD);
                virtual void Render(ITDB02 *pLCD, C5Position2 offset);
		virtual bool Update();
                bool HitTest(int x, int y, int diff);
	protected:
};

#endif
